Subject: RE:Trivalent logics

From: [email-masked]
Date: Fri, 23 Jun 2000 12:09:59 EDT

The formula I gave overestimates the number of distinct binary functions that 
can be defined with the formula given, since symmetric functions get defined 
twice at even the basic level (f1(x) + f2(y) and f2(x) + f1(y)). And some 
get defined even more times: the fixed value functions (always the same value 
whatever the input) can be worked off the corresponding unary fixed value 
function as any of f1, f2, f3, with the others being fixed 0. There are 
obviously other ways of doing these as well. The max function (greater value 
of x,y) can also be done in a variety of ways, including using functions that 
are 1 for 1, 0 otherwise as f1 and f2, -1 for 1 and 0 otherwise for f3. The 
three fixed functions and max, however, make a functionally complete system, 
one in which every three valued binary connective can be defined -- though 
often by very complex formula indeed.